// -*- C++ -*- std header                                                      |
//-----------------------------------------------------------------------------+
//                                                                             |
// kern.h                                                                      |
//                                                                             |
// C++ code                                                                    |
//                                                                             |
// Copyright Walter Dehnen, 2000-2001                                          |
// e-mail:   dehnen@mpia.de                                                    |
// address:  Max-Planck Institut fr Astronomie,                               |
//           Knigstuhl 17, D-69117 Heidelberg, Germany                        |
//                                                                             |
//-----------------------------------------------------------------------------+
//                                                                             |
// defines                                                                     |
//                                                                             |
//                                                                             |
//-----------------------------------------------------------------------------+

#ifndef included_kern_h
#define included_kern_h 1

namespace fasttree {
  //////////////////////////////////////////////////////////////////////////////
  // enum fasttree::tree_soft_type                                              
  //////////////////////////////////////////////////////////////////////////////
  enum soft_type {                         // type of softening                 
    global      = 0,                       // global eps                        
    individual  = 1                        // use individual eps                
  };                                       //                                   
  //////////////////////////////////////////////////////////////////////////////
  // enum fasttree::kern_type                                                   
  //////////////////////////////////////////////////////////////////////////////
  enum kern_type {                         // type of kernel                    
    newton,                                // no softening                      
    f0, f1, f2, f3,                        // Ferrers sphere of index n=0,1,2,3 
    k0, k1, k2, k3,                        // compensating kernels    n=0,1,2,3 
    p0, p1, p2, p3                         // Plummer family of kernels         
  };                                       // (p0=standard Plummer softening)   
}
//------------------------------------------------------------------------------
#endif // included_kern_h
